HDF: mfhdf/src/mfhdf.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
mfhdf.h File Reference
`#include "hdf.h"`

## Data Structures
struct | hdf_varlist_t

## Macros
#define | HDF 1
#define | SD_UNLIMITED 0L
#define | SD_NOFILL 0x100
#define | SD_FILL 0
#define | SD_DIMVAL_BW_COMP 1
#define | SD_DIMVAL_BW_INCOMP 0
#define | SD_RAGGED -1
#define | FILL_BYTE ((char)-127)
#define | FILL_CHAR ((char)0)
#define | FILL_SHORT ((short)-32767)
#define | FILL_LONG ((long)-2147483647)
#define | FILL_FLOAT 9.9692099683868690e+36F
#define | FILL_DOUBLE 9.9692099683868690e+36

## Enumerations
enum | hdf_vartype_t { IS_SDSVAR = 0 , IS_CRDVAR = 1 , UNKNOWN = 2 }
enum | hdf_idtype_t { NOT_SDAPI_ID = -1 , SD_ID = 0 , SDS_ID , DIM_ID }

## Functions
HDFLIBAPI int32 | SDstart (const char *name, int32 accs)
HDFLIBAPI int | SDend (int32 fid)
HDFLIBAPI int | SDfileinfo (int32 fid, int32 *datasets, int32 *attrs)
HDFLIBAPI int32 | SDselect (int32 fid, int32 idx)
HDFLIBAPI int | SDgetinfo (int32 sdsid, char *name, int32 *rank, int32 *dimsizes, int32 *nt, int32 *nattr)
HDFLIBAPI int | SDreaddata (int32 sdsid, int32 *start, int32 *stride, int32 *end, void *data)
HDFLIBAPI uint16 | SDgerefnumber (int32 sdsid)
HDFLIBAPI int32 | SDnametoindex (int32 fid, const char *name)
HDFLIBAPI int | SDnametoindices (int32 fid, const char *name, hdf_varlist_t *var_list)
HDFLIBAPI int | SDgetnumvars_byname (int32 fid, const char *name, int32 *n_vars)
HDFLIBAPI int | SDgetrange (int32 sdsid, void *pmax, void *pmin)
HDFLIBAPI int32 | SDcreate (int32 fid, const char *name, int32 nt, int32 rank, int32 *dimsizes)
HDFLIBAPI int32 | SDgetdimid (int32 sdsid, int number)
HDFLIBAPI int | SDsetdimname (int32 id, const char *name)
HDFLIBAPI int | SDendaccess (int32 id)
HDFLIBAPI int | SDsetrange (int32 sdsid, void *pmax, void *pmin)
HDFLIBAPI int | SDsetattr (int32 id, const char *name, int32 nt, int32 count, const void *data)
HDFLIBAPI int | SDattrinfo (int32 id, int32 idx, char *name, int32 *nt, int32 *count)
HDFLIBAPI int | SDreadattr (int32 id, int32 idx, void *buf)
HDFLIBAPI int | SDwritedata (int32 sdsid, int32 *start, int32 *stride, int32 *end, void *data)
HDFLIBAPI int | SDsetdatastrs (int32 sdsid, const char *l, const char *u, const char *f, const char *c)
HDFLIBAPI int | SDsetcal (int32 sdsid, float64 cal, float64 cale, float64 ioff, float64 ioffe, int32 nt)
HDFLIBAPI int | SDsetfillvalue (int32 sdsid, void *val)
HDFLIBAPI int | SDgetfillvalue (int32 sdsid, void *val)
HDFLIBAPI int | SDsetfillmode (int32 id, int fillmode)
HDFLIBAPI int | SDgetdatastrs (int32 sdsid, char *l, char *u, char *f, char *c, int len)
HDFLIBAPI int | SDgetcal (int32 sdsid, float64 *cal, float64 *cale, float64 *ioff, float64 *ioffe, int32 *nt)
HDFLIBAPI int | SDsetdimstrs (int32 id, const char *l, const char *u, const char *f)
HDFLIBAPI int | SDsetdimscale (int32 id, int32 count, int32 nt, void *data)
HDFLIBAPI int | SDgetdimscale (int32 id, void *data)
HDFLIBAPI int | SDdiminfo (int32 id, char *name, int32 *size, int32 *nt, int32 *nattr)
HDFLIBAPI int | SDgetdimstrs (int32 id, char *l, char *u, char *f, int len)
HDFLIBAPI int | SDgetexternalfile (int32 id, int buf_size, char *ext_filename, int32 *offset)
HDFLIBAPI int | SDgetexternalinfo (int32 id, unsigned buf_size, char *ext_filename, int32 *offset, int32 *length)
HDFLIBAPI int | SDsetexternalfile (int32 id, const char *filename, int32 offset)
HDFLIBAPI int | SDsetnbitdataset (int32 id, int start_bit, int bit_len, int sign_ext, int fill_one)
HDFLIBAPI int | SDsetcompress (int32 id, comp_coder_t type, comp_info *c_info)
HDFLIBAPI int | SDgetcompress (int32 id, comp_coder_t *type, comp_info *c_info)
HDFLIBAPI int | SDgetcompinfo (int32 id, comp_coder_t *type, comp_info *c_info)
HDFLIBAPI int | SDgetcomptype (int32 id, comp_coder_t *type)
HDFLIBAPI int32 | SDfindattr (int32 id, const char *attrname)
HDFLIBAPI int32 | SDidtoref (int32 id)
HDFLIBAPI int32 | SDreftoindex (int32 fid, int32 ref)
HDFLIBAPI int32 | SDisrecord (int32 id)
HDFLIBAPI int | SDiscoordvar (int32 id)
HDFLIBAPI int | SDsetaccesstype (int32 id, unsigned accesstype)
HDFLIBAPI int | SDsetblocksize (int32 sdsid, int32 block_size)
HDFLIBAPI int | SDgetblocksize (int32 sdsid, int32 *block_size)
HDFLIBAPI int | SDsetdimval_comp (int32 dimid, int compt_mode)
HDFLIBAPI int | SDisdimval_bwcomp (int32 dimid)
HDFLIBAPI int32 | SDcheckempty (int32 sdsid, int *emptySDS)
HDFLIBAPI hdf_idtype_t | SDidtype (int32 an_id)
HDFLIBAPI int | SDreset_maxopenfiles (int req_max)
HDFLIBAPI int | SDget_maxopenfiles (int *curr_max, int *sys_limit)
HDFLIBAPI int | SDget_numopenfiles (void)
HDFLIBAPI int | SDgetdatasize (int32 sdsid, int32 *comp_size, int32 *uncomp_size)
HDFLIBAPI int | SDgetfilename (int32 fid, char *filename)
HDFLIBAPI int | SDgetnamelen (int32 sdsid, uint16 *name_len)
HDFLIBAPI int | SDsetchunk (int32 sdsid, HDF_CHUNK_DEF chunk_def, int32 flags)
HDFLIBAPI int | SDgetchunkinfo (int32 sdsid, HDF_CHUNK_DEF *chunk_def, int32 *flags)
HDFLIBAPI int | SDwritechunk (int32 sdsid, int32 *origin, const void *datap)
HDFLIBAPI int | SDreadchunk (int32 sdsid, int32 *origin, void *datap)
HDFLIBAPI int | SDsetchunkcache (int32 sdsid, int32 maxcache, int32 flags)
HDFLIBAPI int | SDgetdatainfo (int32 sdsid, int32 *chk_coord, unsigned start_block, unsigned info_count, int32 *offsetarray, int32 *lengtharray)
HDFLIBAPI int | SDgetattdatainfo (int32 id, int32 attrindex, int32 *offset, int32 *length)
HDFLIBAPI int | SDgetoldattdatainfo (int32 dimid, int32 sdsid, char *attr_name, int32 *offset, int32 *length)
HDFLIBAPI int | SDgetanndatainfo (int32 sdsid, ann_type annot_type, unsigned size, int32 *offsetarray, int32 *lengtharray)

## Macro Definition Documentation

## ◆ FILL_BYTE

#define FILL_BYTE ((char)-127)

## ◆ FILL_CHAR

#define FILL_CHAR ((char)0)

## ◆ FILL_DOUBLE

#define FILL_DOUBLE 9.9692099683868690e+36

## ◆ FILL_FLOAT

#define FILL_FLOAT 9.9692099683868690e+36F

## ◆ FILL_LONG

#define FILL_LONG ((long)-2147483647)

## ◆ FILL_SHORT

#define FILL_SHORT ((short)-32767)

## ◆ HDF

#define HDF 1

## ◆ SD_DIMVAL_BW_COMP

#define SD_DIMVAL_BW_COMP 1

## ◆ SD_DIMVAL_BW_INCOMP

#define SD_DIMVAL_BW_INCOMP 0

## ◆ SD_FILL

#define SD_FILL 0

## ◆ SD_NOFILL

#define SD_NOFILL 0x100

## ◆ SD_RAGGED

#define SD_RAGGED -1

## ◆ SD_UNLIMITED

#define SD_UNLIMITED 0L

## Enumeration Type Documentation

## ◆ hdf_idtype_t

enum hdf_idtype_t

Enumerator
NOT_SDAPI_ID |
SD_ID |
SDS_ID |
DIM_ID |

## ◆ hdf_vartype_t

enum hdf_vartype_t

Enumerator
IS_SDSVAR |
IS_CRDVAR |
UNKNOWN |

## Function Documentation

## ◆ SDattrinfo()

HDFLIBAPI int SDattrinfo | ( | int32 | id,
|  | int32 | idx,
|  | char * | name,
|  | int32 * | nt,
|  | int32 * | count )

## ◆ SDcheckempty()

HDFLIBAPI int32 SDcheckempty | ( | int32 | sdsid,
|  | int * | emptySDS )

## ◆ SDcreate()

HDFLIBAPI int32 SDcreate | ( | int32 | fid,
|  | const char * | name,
|  | int32 | nt,
|  | int32 | rank,
|  | int32 * | dimsizes )

## ◆ SDdiminfo()

HDFLIBAPI int SDdiminfo | ( | int32 | id,
|  | char * | name,
|  | int32 * | size,
|  | int32 * | nt,
|  | int32 * | nattr )

## ◆ SDend()

HDFLIBAPI int SDend | ( | int32 | fid | ) |

## ◆ SDendaccess()

HDFLIBAPI int SDendaccess | ( | int32 | id | ) |

## ◆ SDfileinfo()

HDFLIBAPI int SDfileinfo | ( | int32 | fid,
|  | int32 * | datasets,
|  | int32 * | attrs )

## ◆ SDfindattr()

HDFLIBAPI int32 SDfindattr | ( | int32 | id,
|  | const char * | attrname )

## ◆ SDgerefnumber()

HDFLIBAPI uint16 SDgerefnumber | ( | int32 | sdsid | ) |

## ◆ SDget_maxopenfiles()

HDFLIBAPI int SDget_maxopenfiles | ( | int * | curr_max,
|  | int * | sys_limit )

## ◆ SDget_numopenfiles()

HDFLIBAPI int SDget_numopenfiles | ( | void |  | ) |

## ◆ SDgetanndatainfo()

HDFLIBAPI int SDgetanndatainfo | ( | int32 | sdsid,
|  | ann_type | annot_type,
|  | unsigned | size,
|  | int32 * | offsetarray,
|  | int32 * | lengtharray )

## ◆ SDgetattdatainfo()

HDFLIBAPI int SDgetattdatainfo | ( | int32 | id,
|  | int32 | attrindex,
|  | int32 * | offset,
|  | int32 * | length )

## ◆ SDgetblocksize()

HDFLIBAPI int SDgetblocksize | ( | int32 | sdsid,
|  | int32 * | block_size )

## ◆ SDgetcal()

HDFLIBAPI int SDgetcal | ( | int32 | sdsid,
|  | float64 * | cal,
|  | float64 * | cale,
|  | float64 * | ioff,
|  | float64 * | ioffe,
|  | int32 * | nt )

## ◆ SDgetchunkinfo()

HDFLIBAPI int SDgetchunkinfo | ( | int32 | sdsid,
|  | HDF_CHUNK_DEF * | chunk_def,
|  | int32 * | flags )

## ◆ SDgetcompinfo()

HDFLIBAPI int SDgetcompinfo | ( | int32 | id,
|  | comp_coder_t * | type,
|  | comp_info * | c_info )

## ◆ SDgetcompress()

HDFLIBAPI int SDgetcompress | ( | int32 | id,
|  | comp_coder_t * | type,
|  | comp_info * | c_info )

## ◆ SDgetcomptype()

HDFLIBAPI int SDgetcomptype | ( | int32 | id,
|  | comp_coder_t * | type )

## ◆ SDgetdatainfo()

HDFLIBAPI int SDgetdatainfo | ( | int32 | sdsid,
|  | int32 * | chk_coord,
|  | unsigned | start_block,
|  | unsigned | info_count,
|  | int32 * | offsetarray,
|  | int32 * | lengtharray )

## ◆ SDgetdatasize()

HDFLIBAPI int SDgetdatasize | ( | int32 | sdsid,
|  | int32 * | comp_size,
|  | int32 * | uncomp_size )

## ◆ SDgetdatastrs()

HDFLIBAPI int SDgetdatastrs | ( | int32 | sdsid,
|  | char * | l,
|  | char * | u,
|  | char * | f,
|  | char * | c,
|  | int | len )

## ◆ SDgetdimid()

HDFLIBAPI int32 SDgetdimid | ( | int32 | sdsid,
|  | int | number )

## ◆ SDgetdimscale()

HDFLIBAPI int SDgetdimscale | ( | int32 | id,
|  | void * | data )

## ◆ SDgetdimstrs()

HDFLIBAPI int SDgetdimstrs | ( | int32 | id,
|  | char * | l,
|  | char * | u,
|  | char * | f,
|  | int | len )

## ◆ SDgetexternalfile()

HDFLIBAPI int SDgetexternalfile | ( | int32 | id,
|  | int | buf_size,
|  | char * | ext_filename,
|  | int32 * | offset )

## ◆ SDgetexternalinfo()

HDFLIBAPI int SDgetexternalinfo | ( | int32 | id,
|  | unsigned | buf_size,
|  | char * | ext_filename,
|  | int32 * | offset,
|  | int32 * | length )

## ◆ SDgetfilename()

HDFLIBAPI int SDgetfilename | ( | int32 | fid,
|  | char * | filename )

## ◆ SDgetfillvalue()

HDFLIBAPI int SDgetfillvalue | ( | int32 | sdsid,
|  | void * | val )

## ◆ SDgetinfo()

HDFLIBAPI int SDgetinfo | ( | int32 | sdsid,
|  | char * | name,
|  | int32 * | rank,
|  | int32 * | dimsizes,
|  | int32 * | nt,
|  | int32 * | nattr )

## ◆ SDgetnamelen()

HDFLIBAPI int SDgetnamelen | ( | int32 | sdsid,
|  | uint16 * | name_len )

## ◆ SDgetnumvars_byname()

HDFLIBAPI int SDgetnumvars_byname | ( | int32 | fid,
|  | const char * | name,
|  | int32 * | n_vars )

## ◆ SDgetoldattdatainfo()

HDFLIBAPI int SDgetoldattdatainfo | ( | int32 | dimid,
|  | int32 | sdsid,
|  | char * | attr_name,
|  | int32 * | offset,
|  | int32 * | length )

## ◆ SDgetrange()

HDFLIBAPI int SDgetrange | ( | int32 | sdsid,
|  | void * | pmax,
|  | void * | pmin )

## ◆ SDidtoref()

HDFLIBAPI int32 SDidtoref | ( | int32 | id | ) |

## ◆ SDidtype()

HDFLIBAPI hdf_idtype_t SDidtype | ( | int32 | an_id | ) |

## ◆ SDiscoordvar()

HDFLIBAPI int SDiscoordvar | ( | int32 | id | ) |

## ◆ SDisdimval_bwcomp()

HDFLIBAPI int SDisdimval_bwcomp | ( | int32 | dimid | ) |

## ◆ SDisrecord()

HDFLIBAPI int32 SDisrecord | ( | int32 | id | ) |

## ◆ SDnametoindex()

HDFLIBAPI int32 SDnametoindex | ( | int32 | fid,
|  | const char * | name )

## ◆ SDnametoindices()

HDFLIBAPI int SDnametoindices | ( | int32 | fid,
|  | const char * | name,
|  | hdf_varlist_t * | var_list )

## ◆ SDreadattr()

HDFLIBAPI int SDreadattr | ( | int32 | id,
|  | int32 | idx,
|  | void * | buf )

## ◆ SDreadchunk()

HDFLIBAPI int SDreadchunk | ( | int32 | sdsid,
|  | int32 * | origin,
|  | void * | datap )

## ◆ SDreaddata()

HDFLIBAPI int SDreaddata | ( | int32 | sdsid,
|  | int32 * | start,
|  | int32 * | stride,
|  | int32 * | end,
|  | void * | data )

## ◆ SDreftoindex()

HDFLIBAPI int32 SDreftoindex | ( | int32 | fid,
|  | int32 | ref )

## ◆ SDreset_maxopenfiles()

HDFLIBAPI int SDreset_maxopenfiles | ( | int | req_max | ) |

## ◆ SDselect()

HDFLIBAPI int32 SDselect | ( | int32 | fid,
|  | int32 | idx )

## ◆ SDsetaccesstype()

HDFLIBAPI int SDsetaccesstype | ( | int32 | id,
|  | unsigned | accesstype )

## ◆ SDsetattr()

HDFLIBAPI int SDsetattr | ( | int32 | id,
|  | const char * | name,
|  | int32 | nt,
|  | int32 | count,
|  | const void * | data )

## ◆ SDsetblocksize()

HDFLIBAPI int SDsetblocksize | ( | int32 | sdsid,
|  | int32 | block_size )

## ◆ SDsetcal()

HDFLIBAPI int SDsetcal | ( | int32 | sdsid,
|  | float64 | cal,
|  | float64 | cale,
|  | float64 | ioff,
|  | float64 | ioffe,
|  | int32 | nt )

## ◆ SDsetchunk()

HDFLIBAPI int SDsetchunk | ( | int32 | sdsid,
|  | HDF_CHUNK_DEF | chunk_def,
|  | int32 | flags )

## ◆ SDsetchunkcache()

HDFLIBAPI int SDsetchunkcache | ( | int32 | sdsid,
|  | int32 | maxcache,
|  | int32 | flags )

## ◆ SDsetcompress()

HDFLIBAPI int SDsetcompress | ( | int32 | id,
|  | comp_coder_t | type,
|  | comp_info * | c_info )

## ◆ SDsetdatastrs()

HDFLIBAPI int SDsetdatastrs | ( | int32 | sdsid,
|  | const char * | l,
|  | const char * | u,
|  | const char * | f,
|  | const char * | c )

## ◆ SDsetdimname()

HDFLIBAPI int SDsetdimname | ( | int32 | id,
|  | const char * | name )

## ◆ SDsetdimscale()

HDFLIBAPI int SDsetdimscale | ( | int32 | id,
|  | int32 | count,
|  | int32 | nt,
|  | void * | data )

## ◆ SDsetdimstrs()

HDFLIBAPI int SDsetdimstrs | ( | int32 | id,
|  | const char * | l,
|  | const char * | u,
|  | const char * | f )

## ◆ SDsetdimval_comp()

HDFLIBAPI int SDsetdimval_comp | ( | int32 | dimid,
|  | int | compt_mode )

## ◆ SDsetexternalfile()

HDFLIBAPI int SDsetexternalfile | ( | int32 | id,
|  | const char * | filename,
|  | int32 | offset )

## ◆ SDsetfillmode()

HDFLIBAPI int SDsetfillmode | ( | int32 | id,
|  | int | fillmode )

## ◆ SDsetfillvalue()

HDFLIBAPI int SDsetfillvalue | ( | int32 | sdsid,
|  | void * | val )

## ◆ SDsetnbitdataset()

HDFLIBAPI int SDsetnbitdataset | ( | int32 | id,
|  | int | start_bit,
|  | int | bit_len,
|  | int | sign_ext,
|  | int | fill_one )

## ◆ SDsetrange()

HDFLIBAPI int SDsetrange | ( | int32 | sdsid,
|  | void * | pmax,
|  | void * | pmin )

## ◆ SDstart()

HDFLIBAPI int32 SDstart | ( | const char * | name,
|  | int32 | accs )

## ◆ SDwritechunk()

HDFLIBAPI int SDwritechunk | ( | int32 | sdsid,
|  | int32 * | origin,
|  | const void * | datap )

## ◆ SDwritedata()

HDFLIBAPI int SDwritedata | ( | int32 | sdsid,
|  | int32 * | start,
|  | int32 * | stride,
|  | int32 * | end,
|  | void * | data )